Subject: bug#39542: closed (Re: bug#39542: Adding openvpn client configurations to guix system)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 15 Mar 2022 15:11:02 +0000

Your bug report

#39542: Adding openvpn client configurations to guix system

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39542: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39542
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#39542: Adding openvpn client configurations to guix system
From: Maxim Cournoyer <[email-masked]>
To: Damien Cassou <[email-masked]>
Cc: david larsson <[email-masked]>, bug-Guix <bug-guix-bounces+someone=[email-masked]>, [email-masked], [email-masked]
Date: Tue, 15 Mar 2022 11:10:10 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Damien Cassou <[email-masked]> writes:

> Hi David,
>
> david larsson <[email-masked]> writes:
>> I think I have a solution for you, where you can start 3 different vpn's 
>> with herd start vpn1-client, herd start vpn2-client etc.
>
> thank you very much. I've decided I would go for NixOS though.

OK, thanks for letting us know.

As this was a feature request rather than a bug report, I'm closing the
issue.

Thank you,

Maxim

Subject: Adding openvpn client configurations to guix system
From: Damien Cassou <[email-masked]>
To: [email-masked]
Date: Mon, 10 Feb 2020 10:33:08 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

both OpenVPN and NetworkManager read network configurations from
/etc. This should make it possible to configure your favorite VPN client
configurations (and maybe wifi access points) in your /etc/config.scm.

An OpenVPN client connection typically consists of *.key files, *.pem
files and *.crt files. These should be placed under /etc/openvpn/client/.

Each OpenVPN client connection must be declared at the Network manager
level too. This means adding a *.nmconnection file in
/etc/NetworkManager/system-connections/.

It would be great if Guix could make that possible from my
/etc/config.scm file.

Thank you for your great work!

-- 
Damien Cassou

"Success is the ability to go from one failure to another without
losing enthusiasm." --Winston Churchill